/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class FishingStateInfo
    {
        public const string URL = "ui://682kb9n0fcfg1o";

        public FishingPower Power;
        public GTextField TextTitle;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            Power = (FishingPower)GetChild("Power");
            TextTitle = (GTextField)GetChild("TextTitle");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}